<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            &nbsp; Anggaran Sumber Daya Teknologi Informasi
            <!-- {{'global.field.id' | translate}} : {{purchaseOrder.idOrder}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="clearBack()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clearBack()">&times;</button>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_loc">Lokasi</label>
                        <select class="form-control" id="field_loc" name="loc" [(ngModel)]="inputLoc" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="locOption.value" *ngFor="let locOption of loc">{{locOption.label}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Tanggal Permintaan </label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder"
                                dateFormat="dd-MM-yy" (onChange)="updateCalcs(true)"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <!-- <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtRequest">tanggal </label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtRequest" name="input_dtRequest" [size]="28" [(ngModel)]="inputDtOrder"
                                dateFormat="dd-MM-yy"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div> -->
            </div>
        </div>
        <div class="text-left">
            <p-accordion class="detail-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus" [activeIndex]="index">
                <p-accordionTab header="Jumlah Perangkat Komputer Saat Ini">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label" for="field_inPcAstUdr5Th">Qty PC Dekstop Berumur Lebih Dari 5 Tahun</label>
                                <input currencyMask class="form-control" name="inPcAstUdr5Th" id="field_inPcAstUdr5Th"
                                    [(ngModel)]="inPcAstUdr5Th"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                    />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label" for="field_inPcAstUpr5Th">Qty PC Dekstop Berumur Dibawah 5 Tahun</label>
                                <input currencyMask class="form-control" name="inPcAstUpr5Th" id="field_inPcAstUpr5Th"
                                    [(ngModel)]="inPcAstUpr5Th"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                    />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label" for="field_inQtyAstPrntr">Qty Printer</label>
                                <input currencyMask class="form-control" name="inQtyAstPrntr" id="field_inQtyAstPrntr"
                                    [(ngModel)]="inQtyAstPrntr"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                    />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label" for="field_inLpAstUdr5Th">Qty Notebook Berumur Lebih Dari 5 Tahun</label>
                                <input currencyMask class="form-control" name="inLpAstUdr5Th" id="field_inLpAstUdr5Th"
                                    [(ngModel)]="inLpAstUdr5Th"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                    />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label" for="field_inLpAstUpr5Th">Qty Notebook Berumur Dibawah 5 Tahun</label>
                                <input currencyMask class="form-control" name="inLpAstUpr5Th" id="field_inLpAstUpr5Th"
                                    [(ngModel)]="inLpAstUpr5Th"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                    />
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
                <p-accordionTab header="Rencana Anggaran Pembelian Perangkat Komputer">
                    <br>
                    <p-dataTable
                        [value]="unitChecks">
                        <p-header>
                            <div>
                                <div class="text-left">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_KdBarang">Kode Barang</label>
                                                <p-dropdown [options]="listKdBarang"
                                                styleClass="form-control" autoWidth="false"
                                                    [style]="{'width':'100%'}"
                                                    [(ngModel)]="selectedKdBarang" id="field_KdBarang" name="KdBarangs"
                                                    [filter]="true" filterBy="label" 
                                                    (onChange)="selectKdBarang(true)"
                                                ></p-dropdown>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_inPcReqUdr5Th">Pengganti Berumur Dibawah 5 Tahun</label>
                                                <input currencyMask class="form-control" name="inPcReqUdr5Th" id="field_inPcReqUdr5Th"
                                                    [(ngModel)]="inPcReqUdr5Th"
                                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                                    />
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_inPcReqNew"> Untuk Personil Baru</label>
                                                <input currencyMask class="form-control" name="inPcReqNew" id="field_inPcReqNew"
                                                    [(ngModel)]="inPcReqNew"
                                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_ket">Keterangan</label>
                                                <input type="text" class="form-control" name="ket" id="field_ket"
                                                    [(ngModel)]="inKet" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="btn-filter-wrapper">
                                        <button type="button" class="btn btn-primary" (click)="addData1()" [disabled]="addDataBtnDisable()">
                                            <span>ENTER</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </p-header>
                        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="Item">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nmBarang}}
                            </ng-template>
                        </p-column>
                        <p-column header="Jumlah">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.qty}}
                            </ng-template>
                        </p-column>
                        <p-column header="Harga Per Unit">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.price}}
                            </ng-template>
                        </p-column>
                        <p-column header="Total Harga">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.totalPrice}}
                            </ng-template>
                        </p-column>
                        <p-column header="Keterangan">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.desc}}
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                <button pButton type="button"
                                    icon="fa-trash-o"
                                    class="flat-button"
                                    pTooltip="Remove"
                                    (click)="removeData(rowIndex)"
                                    >
                                </button>
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </p-accordionTab>
                <p-accordionTab header="Rencana Anggaran Pembelian Software">
                    <br>
                    <p-dataTable
                        [value]="unitSw">
                        <p-header>
                            <div>
                                <div class="text-left">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="field_KdBarang">Kode Barang</label>
                                                <p-dropdown [options]="listKdBarang1" styleClass="form-control" autoWidth="false"
                                                    [style]="{'width':'100%'}"
                                                    [(ngModel)]="itemSw" id="field_KdBarang" name="KdBarangs"
                                                    [filter]="true" filterBy="label" 
                                                    (onChange)="selectKdBarang1(true)"
                                                ></p-dropdown>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_qtySw">Qty</label>
                                                <input currencyMask class="form-control" name="qtySw" id="field_qtySw"
                                                    [(ngModel)]="qtySw"
                                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                                    />
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_KetSw">Keterangan</label>
                                                <input type="text" class="form-control" name="KetSw" id="field_KetSw"
                                                    [(ngModel)]="KetSw" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="btn-filter-wrapper">
                                        <button type="button" class="btn btn-primary" (click)="addData2()" [disabled]="addDataBtnDisable2()">
                                            <span>ENTER</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </p-header>
                        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="Item">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nmBarang}}
                            </ng-template>
                        </p-column>
                        <p-column header="Jumlah">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.qty}}
                            </ng-template>
                        </p-column>
                        <p-column header="Harga Per Unit">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.price}}
                            </ng-template>
                        </p-column>
                        <p-column header="Total Harga">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.totalPrice}}
                            </ng-template>
                        </p-column>
                        <p-column header="Keterangan">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.desc}}
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                <button pButton type="button"
                                    icon="fa-trash-o"
                                    class="flat-button"
                                    pTooltip="Remove"
                                    (click)="removeData1(rowIndex)"
                                    >
                                </button>
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </p-accordionTab>
                <p-accordionTab header="Rencana Anggaran Non Standard Software">
                    <br>
                    <p-dataTable
                        [value]="nsUnit">
                        <p-header>
                            <div>
                                <div class="text-left">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_KdBarang">Item</label>
                                                <input type="text" class="form-control" name="KdBarangs" id="field_KdBarang"
                                                    [(ngModel)]="nsItem" />
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_nsQty">Qty</label>
                                                <input currencyMask class="form-control" name="nsQty" id="field_nsQty"
                                                    [(ngModel)]="nsQty"
                                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                                    />
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_nsPrice">Harga Per Unit</label>
                                                <input currencyMask class="form-control" name="nsPrice" id="field_nsPrice"
                                                    [(ngModel)]="nsPrice"
                                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                                    />
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="form-control-label" for="field_nsKet">Keterangan</label>
                                                <input type="text" class="form-control" name="nsKet" id="field_nsKet"
                                                    [(ngModel)]="nsKet" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="btn-filter-wrapper">
                                        <button type="button" class="btn btn-primary" (click)="addData3()" [disabled]="addDataBtnDisable3()">
                                            <span>ENTER</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </p-header>
                        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="Item">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nmBarang}}
                            </ng-template>
                        </p-column>
                        <p-column header="Jumlah">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.qty}}
                            </ng-template>
                        </p-column>
                        <p-column header="Harga Per Unit">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.price}}
                            </ng-template>
                        </p-column>
                        <p-column header="Total Harga">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.totalPrice}}
                            </ng-template>
                        </p-column>
                        <p-column header="Keterangan">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.desc}}
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                <button pButton type="button"
                                    icon="fa-trash-o"
                                    class="flat-button"
                                    pTooltip="Remove"
                                    (click)="removeData2(rowIndex)"
                                    >
                                </button>
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </p-accordionTab>
            </p-accordion>    
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>